org.apache.catalina.authenticator

## Class SingleSignOnListener

- java.lang.Object
- - org.apache.catalina.authenticator.SingleSignOnListener

- All Implemented Interfaces:
    Serializable, EventListener, SessionListener
  Direct Known Subclasses:
    ClusterSingleSignOnListener

      public class SingleSignOnListener
      extends Object
      implements SessionListener, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleSignOnListener(String ssoId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionEvent(SessionEvent event)` Acknowledge the occurrence of the specified event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSignOnListener

          public SingleSignOnListener(String ssoId)

  - ### Method Detail

    - #### sessionEvent

          public void sessionEvent(SessionEvent event)

      Description copied from interface: `SessionListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `sessionEvent` in interface `SessionListener`
      Parameters:
        `event` - SessionEvent that has occurred

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.